import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/notice_board_announ_detail_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/notice_board_announ_detail_entity.g.dart';

@JsonSerializable()
class NoticeBoardAnnounDetailEntity {
	late int id = 0;
	late String title = '';
	late String content = '';
	late List<dynamic> resources = [];
	@JSONField(name: "created_at")
	late String createdAt = '';

	NoticeBoardAnnounDetailEntity();

	factory NoticeBoardAnnounDetailEntity.fromJson(Map<String, dynamic> json) => $NoticeBoardAnnounDetailEntityFromJson(json);

	Map<String, dynamic> toJson() => $NoticeBoardAnnounDetailEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}

  map(Function(dynamic item) param0) {}
}